Subject: Re: bug#25181: 25.1.90; move-beginning-of-line doesn't move point

From: Andreas Röhler <[email-masked]>
Date: Tue, 13 Dec 2016 10:25:32 +0100

On 12.12.2016 17:53, Eli Zaretskii wrote:
>> From: Andreas Röhler <[email-masked]>
>> Date: Mon, 12 Dec 2016 12:49:05 +0100
>>
>> Bug does not appear with Emacs -Q, as some fontification in buffer seems
>> to trigger it.
>>
>> Text in buffer:
>>
>> git reset HEAD test/2.sh
>>
>> Cursor at pos 16. i.e. beginning of word "test".
>>
>> C-a doesn't move point.
> Please show a complete recipe, starting from "emacs -Q" (and loading
> any optional packages/customizations as needed).  It's hard to discuss
> an issue without being able to test-drive it.
>
>> Watching move-beginning-of-line edebug, at line 6415
>>
>>       (skip-chars-backward "^\n")
>>
>> jumps correctly to BOL.
>>
>> Error results from following later on:
>>
>>       (setq first-vis-field-value
>>         (constrain-to-field first-vis orig (/= arg 1) t nil))
>>
>> Here first-vis-field-value is set to orig, i.e. pos 16, where it jumps
>> back-to, not leaving point at BOL.
> I'm not sure I understood, but if I did, this is a feature: functions
> such as beginning-of-line stop moving at field boundaries.
>

Hmm, is this reasonable? BOL is a very basic concept. Don't think it 
should be permitted to be interfered with fields.